## python3-defaults 3.3.0-2ubuntu8

=== debian/changelog ===
python3-defaults (3.3.0-2ubuntu8) raring; urgency=low

  * Build a libpython3-stdlib package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 17:47:41 +0100

python3-defaults (3.3.0-2ubuntu7) raring; urgency=low

  * python3{,-all}-{dev,dbg}: Depend on libpython3{,-all}-{dev,dbg}.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2013 19:52:05 +0100

python3-defaults (3.3.0-2ubuntu6) raring; urgency=low

  * Build libpython3-all-{dev,dbg} packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2013 20:24:06 +0100

python3-defaults (3.3.0-2ubuntu5) raring; urgency=low

  [ Piotr Ożarowski ]
  * pybuild:
    - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
      (PYBUILD_EXT_PATTERN) options to move files after install step
    - save before/after command logs if quiet mode is on
    - do not warn about limiting versions if there's only one
  * dh_python3: add version range to py3compile in maintainer scripts

  [ Dmitry Shachnev ]
  * Merge with Debian packaging bzr r259. Remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.
  * tests/t1: Build-depend on python3-all instead of python-all.
  * Make tests work without python-support installed.
  * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
    a symlink to /usr/share/javascript/jquery/jquery.js).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 24 Jan 2013 15:48:55 +0400

python3-defaults (3.3.0-2ubuntu4) raring; urgency=low

  [ Piotr Ożarowski ]
  * Interpreter._get_config: try distutils.sysconfig for older Python
    versions, use sysconfig for Version('3')

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Dec 2012 22:05:46 -0500

python3-defaults (3.3.0-2ubuntu3) raring; urgency=low

  * Fix merge error, drop python3.2 from the supported versions.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 19:38:43 +0100

python3-defaults (3.3.0-2ubuntu2) raring; urgency=low

  * Move debiandoc-sgml, python-docutils, lsb-release to Build-Depends.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 11:09:30 +0100

python3-defaults (3.3.0-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Drop python3.2 as a supported python3 version.
  * Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Dec 2012 10:45:17 +0100

python3-defaults (3.3.0-2) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python3:
    - add multiarch support (rename extensions in dist-packages)
    - rename foomodule.so to foo.so in dist-packages (for Python >= 3.3)
  * pybuild:
    - add --{before,after}-{clean,configure,build,install,test}
      command line options and many more PYBUILD_FOO environment vars
      (f.e. PYBUILD_DESTDIR, PYBUILD_DESTDIR_python3,
      PYBUILD_DESTDIR_python3.3-dbg)
    - add --disable command line option (to disable step, interpreter, version
      or any mix of them); drop --no-clean and --no-tests arguments
      (replaced by --disable clean, --disable test or --disable 'clean test')
    - add new build system to dh sequencer (dh --buildsystem=pybuild)
    - add manpage
  * Move python-docutils to Build-Depends (python3 package is now arch:any) 

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
  * Don't use the `u' abi flag when defaulting to 3.3.
  * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
    $(DEB_HOST_MULTIARCH)-python3-config symlinks.
  * Add Multi-Arch: same packages libpython3-all-{dev,dbg} (not yet built,
    python3.2 doesn't have support for multiarch).

  [ Dmitry Shachnev ]
  * debpython/interpreter.py: fix failing doctest
    (architecture no longer hardcoded)
  * Added DEP-8 tests (Closes: #698002).

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 12 Jan 2013 17:13:14 +0100

python3-defaults (3.3.0-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * Add Python 3.3 to the list of supported Python 3 versions and make it a
    default one.
  * dh_python3:
    - remove egg-info file/dir while moving files to common directory
      if the later one already contains it
  * rewrite dh_python3.1, py3compile.1 and py3clean.1 manpages in
    ReStructured Text
  * Add pybuild

  [ Scott Kitterman ]
  * Update Makefile to install pybuild
  * Fix file name typo in README.derivatives

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 09:20:46 -0500

python3-defaults (3.3.0-0ubuntu3) raring; urgency=low

  * Convert symlinks from mu/dmu to m/dm since the u flag does not exist in
    python3.3 (LP: #1079159)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Nov 2012 09:14:34 -0500

python3-defaults (3.3.0-0ubuntu2) raring; urgency=low

  * Drop python3.2 as a supported python3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Nov 2012 21:03:43 +0100

python3-defaults (3.3.0-0ubuntu1) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make python3.3 default.

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Ship the pkgconfig symlinks again.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Oct 2012 16:44:58 +0200

python3-defaults (3.2.3-6ubuntu1) raring; urgency=low

  * Merge from Debian Unstable.  Remaining Ubuntu changes:
    - Add python3.3 to supported python3 versions and include python3.3 in
      python3-all* package depends

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 02:50:22 -0400

python3-defaults (3.2.3-5ubuntu2) raring; urgency=low

  [ Matthias Klose ]
  * Add python3.3 as a supported version.

  [ Barry Warsaw ]
  * dh_python3: Rework calculation of extension tags to add support for

