=== debian/changelog ===
python3-defaults (3.3.1-0ubuntu1) raring; urgency=low

  * Bump version to 3.3.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2013 20:53:17 +0200

python3-defaults (3.3.0-3ubuntu1) raring; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
    - Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
    - Build-depend on python:any instead of python.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 21 Mar 2013 18:51:30 +0400

python3-defaults (3.3.0-3) experimental; urgency=low

  [ Piotr Ożarowski ]
  * pybuild:
    - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
      (PYBUILD_EXT_PATTERN) options to move files after install step
    - save before/after command logs if quiet mode is on
    - do not warn about limiting versions if there's only one
    - distutils plugin: do not skip build in install target
      (ugly workaround for yet another distutils "feature",
      closes: #701137)
    - do not run tests if DEB_BUILD_OPTIONS contains "nocheck"
  * dh_python3:
    - add version range to py3compile in maintainer scripts
    - no longer sensitive to trailing slash in private dir names
      (closes: #701215)
  * Bump minimum required dpkg-dev build dependency to 1.16.1~
    (due to architecture.mk in debian/rules)

  [ Dmitry Shachnev ]
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.
  * tests/t1: Build-depend on python3-all instead of python-all.
  * Make tests work without python-support installed.
  * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
    a symlink to /usr/share/javascript/jquery/jquery.js).
  * Added missing docinfo to man pages, to fix a lintian warning
    (Closes: #702777).

  [ Matthias Klose ]
  * dh_python3: Use the multiarch tuple for the host (if DEB_HOST_MULTIARCH
    is set in the environment).
  * Add a libpython3-stdlib package (not yet built).

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Mar 2013 13:47:29 +0100

python3-defaults (3.3.0-2ubuntu9) raring; urgency=low

  * Build-depend on python:any instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Mar 2013 18:33:16 +0800
