=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python, debiandoc-sgml, python-docutils, lsb-release
+Build-Depends: debhelper (>= 7.0.50~), python:any, debiandoc-sgml, python-docutils, lsb-release, dpkg-dev (>= 1.16.1~)
 Build-Depends-Indep: libhtml-tree-perl
 Standards-Version: 3.9.3
 Homepage: http://www.python.org/
@@ -15,7 +15,7 @@
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3 (>= 3.3.0-5), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -30,7 +30,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3-minimal (>= 3.3.0-5), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.3-minimal (>= 3.3.1-1~), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -41,7 +41,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.3-examples (>= 3.3.1-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -52,7 +52,7 @@
 Package: python3-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.3-dev (>= 3.3.1-1~), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -65,7 +65,7 @@
 Package: libpython3-dev
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.3-dev (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-dev (>= 3.3.1-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -77,7 +77,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.3-stdlib (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-stdlib (>= 3.3.1-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -102,7 +102,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.3-doc (>= 3.3.0-5), ${misc:Depends}
+Depends: python3.3-doc (>= 3.3.1-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -127,7 +127,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.0-5), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.3-dbg (>= 3.3.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.3)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.3/lib-dynload/debug first.
@@ -137,7 +137,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython3.3-dbg (>= 3.3.0-5), ${misc:Depends}
+Depends: libpython3.3-dbg (>= 3.3.1-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.3)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.3/lib-dynload/debug first.
