=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 
 
 # first version with Multi-Arch: allowed
-UPSTRVER   := 3.3.0-5
+UPSTRVER   := 3.3.1-1~
 
 distribution := $(shell lsb_release -is)
