=== tests/t2/debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell ../../debian/py3versions -vr)
PYDEF = $(shell ../../debian/py3versions -d)

%:
	dh $@ --buildsystem=python_distutils

override_dh_install:
	dh_install
	# install also as private extension
	dh_install debian/python3-foo/usr/local/lib/python3*/dist-packages/foo/bar*.so \
		/usr/lib/python3-foo/
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
	for ver in $(PYVERS); do\
	  python$$ver setup.py build; done

override_dh_auto_install:
	for ver in $(PYVERS); do\
	  python$$ver setup.py install --root=debian/python3-foo;\
	done

override_dh_auto_clean:
