=== debian/tests/control ===
Tests: dh_python3
Depends: python3-all-dev, debhelper, libjs-jquery
