## python3-defaults 3.3.2-14ubuntu1

=== debian/changelog ===
python3-defaults (3.3.2-14ubuntu1) saucy; urgency=medium

  * Re-add The Multi-Arch: allowed attribute for python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Sep 2013 15:48:15 +0200

python3-defaults (3.3.2-14) unstable; urgency=low

  * Add python3.1 and python3.2 to unsupported-versions
  * Build-depend on python3-minimal:any instead of python since that's what's
    used during the build now
  * Build-depend on python3-docutils instead of python-docutils
  * Add Multi-Arch: allowed for python3-all and python3-all-dbg
  * Add libpython3-dbg to python3-dbg depends
  * Add libpython3-dev to python3-dev depends
  * Use generated depends in control.in for libpython3-stdlib as with other
    binaries
  * Set UPSTRVER for Ubuntu in debian/rules so correct results are produced in
    both Debian and Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Aug 2013 06:22:22 -0400

python3-defaults (3.3.2-13) unstable; urgency=low

  * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-13~ to
    account for files moved in -4 and later (Closes: #718734)
  * Fix broken libpython3-all-dbg symlink

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Aug 2013 02:25:13 -0400

python3-defaults (3.3.2-12) unstable; urgency=low

  * Re-upload with a version newer than the one in experimental.
  * Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
  * Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
    Build-Depends.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Aug 2013 09:52:26 +0200

python3-defaults (3.3.2-5) unstable; urgency=low

  * Drop python3.2 from supported python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Aug 2013 22:58:22 -0400

python3-defaults (3.3.2-4) unstable; urgency=low

  * Upload to unstable
  * Remove /usr/share/python3/debpython/__pycache__ in python3-minimal's prerm
  * Change source format back to 1.0 (native)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 01 Aug 2013 21:41:34 +0200

python3-defaults (3.3.2-11) experimental; urgency=low

  * Make datetime module optional in debpython (it's not available in
    python3.X-minimal, closes: #717232)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Jul 2013 22:50:17 +0200

python3-defaults (3.3.2-10) experimental; urgency=low

  [ Matthias Klose ]
  * Move py3compile and py3clean back to the python3-minimal package.

  [ Piotr Ożarowski ]
  * Remove pybuild and dh_python3, dh-python source package provides it now
  * Add dh-python dependency in python3 package (to make sure dh_python3 is
    installed)
  * Bump Standards-Version to 3.9.4

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 15 Jul 2013 23:48:04 +0200

python3-defaults (3.3.2-3) unstable; urgency=low

  * Bump python3-minimal Breaks/Replaces python3 versions to 3.3.2-1~ to
    account for files moved in -2 (closes: #717373)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jul 2013 09:30:39 -0400

python3-defaults (3.3.2-2) unstable; urgency=low

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Make python3, python3-{minimal,dev,dbg} Multi-Arch: allowed.
  * Don't use the `u' abi flag when defaulting to 3.3.
  * Build Multi-Arch: same packages libpython3-{dev,dbg} packages providing
    $(DEB_HOST_MULTIARCH)-python3-config symlinks.

  [ Piotr Ożarowski ]
  * Move python-docutils to Build-Depends (python3 package is now arch:any)

  [ Dmitry Shachnev ]
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.

  [ Scott Kitterman ]
  * Correct doc directory in README.Debian
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Jul 2013 17:14:22 -0400

python3-defaults (3.3.2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Make python3.3 the default python3
  * When X-Python3-Version is not present, do not describe it as missing,
    just indicate it is not there

  [ Matthias Klose ]
  * Bump version to 3.3.2.
  * Don't use the `u' abi flag when defaulting to 3.3.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Jul 2013 18:35:33 -0400

python3-defaults (3.2.3-7) unstable; urgency=low

  * Add Python 3.3 as a supported Python version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 03:05:02 +0200
