=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.0.50~), python:any, debiandoc-sgml, python-docutils, lsb-release, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 7.0.50~), python3-minimal:any, python3-docutils,
+ dpkg-dev (>= 1.16.1~), debiandoc-sgml, lsb-release
 Build-Depends-Indep: libhtml-tree-perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
-XS-Testsuite: autopkgtest
 
 Package: python3
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Depends: python3.3 (>= 3.3.1-1~), python3-minimal (= ${binary:Version}), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -31,8 +31,8 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3.3-minimal (>= 3.3.1-1~), dpkg (>= 1.13.20), ${misc:Depends}
-Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
-Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
+Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
+Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
@@ -158,7 +158,7 @@
 Package: python3-all-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
+Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
  python3.3-dev
 Description: package depending on all supported Python 3 development packages
  The package currently depends on python3.3-dev, in the
@@ -174,7 +174,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
+Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
  python3.3-dbg
 Description: package depending on all supported Python 3 debugging packages
  The package currently depends on python3.3-dbg, in the
