=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,17 @@
 VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
 NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 
 
-# first version with Multi-Arch: allowed
-UPSTRVER   := 3.3.1-1~
 
 distribution := $(shell lsb_release -is)
+
+ifeq ($(distribution),Ubuntu)
+  # first Ubuntu version with Multi-Arch: allowed
+  UPSTRVER   := 3.3.1-1~
+else
+  # first Debian version with Multi-Arch: allowed
+  UPSTRVER   := 3.3.0-5
+endif
+
 
 PWD		:= $(shell pwd)
 
@@ -52,7 +59,6 @@
 	touch stamp-doc-policy
 
 stamp-doc: #stamp-doc-policy
-	make -C pydist README.PyDist.html
 	touch stamp-doc
 
 control-file:
@@ -154,7 +160,7 @@
 	dh_installdirs
 	#make check_versions
 	DESTDIR=debian/python3 PREFIX=/usr make install-dev
-	DESTDIR=debian/python3 PREFIX=/usr make install-runtime manpages
+	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make dist_fallback
@@ -270,7 +276,3 @@
 	  ln -sf ../python/python-policy.$$ext \
 		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
 	done
-endif
-
-ifeq (0,1)
-	mkdir -p debian/python3/usr/share/apps/konsole
